#pragma once

#include "resource_manager.h"
#include "texture.h"

namespace Halley {
	class TextureManager : public ResourceManager<Texture> {
	public:
		TextureManager(String basePath);
		static shared_ptr<Texture> getById(int id);

	protected:
		virtual shared_ptr<Texture> load(String name);

		static std::map<int, weak_ptr<Texture> > ids;
	};
}
